Bug 524640 - [Emulex 5.5 feat] be2net request_firmware() support in Ethtool-cmd-with-flash
Summary: [Emulex 5.5 feat] be2net request_firmware() support in Ethtool-cmd-with-flash
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ethtool
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: alpha
: 5.5
Assignee: Jay Fenlason
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On: 515269
Blocks: 557292 512007 533941
TreeView+ depends on / blocked
 
Reported: 2009-09-21 15:23 UTC by laurie barry
Modified: 2014-08-31 23:29 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-17 18:50:27 UTC


Attachments (Terms of Use)
modified version of Ethtool that supports flash f/w function (6.38 KB, application/octet-stream)
2009-09-21 15:23 UTC, laurie barry
no flags Details

Description laurie barry 2009-09-21 15:23:43 UTC
Created attachment 361961 [details]
modified version of Ethtool that supports flash f/w function

This patch adds support for the Upstream be2net related request_firmware()
needed in RHEL6.  The patch is pending approval on netdev.  

RHEL5.5 be2net driver patch is associated with bugzilla 515269.

In order to support the indistro driver model, the mechanism for communicating with the apps tools (ioctls) for fw download had to be removed.  This is modified version of Ethtool that supports flash f/w function.


This patch must apply against the ethtool source in the src rpm :

ethtool-6-7.20090323git.fc12.src.rpm

The change is also submitted to netdev.

Comment 1 Andy Gospodarek 2009-10-13 17:57:16 UTC
This bug will require that the following is backported to the RHEL5.5 kernel as well:

commit 05c6a8d7a7d778f26d8eb821556988993b766092
Author: Ajit Khaparde <ajitk@serverengines.com>
Date:   Wed Sep 2 17:02:55 2009 +0000

    net/ethtool: Add support for the ethtool feature to flash firmware image from a specified file.
    
    This patch adds support to flash a firmware image to a device using ethtool.
    The driver gets the filename of the firmware image and flashes the image
    using the request firmware path.
    
    The region "on the chip" to be flashed can be specified by an option.
    It is upto the device driver to enumerate the region number passed by ethtool,
    to the region to be flashed.
    
    The default behavior is to flash all the regions on the chip.

Comment 3 Jay Fenlason 2009-10-14 22:16:10 UTC
I'll take it.

Comment 6 Andrius Benokraitis 2009-12-17 18:45:04 UTC
Jay, how is this looking for 5.5? Haven't heard much lately.

BTW - The equiv. bug in RHEL 6.0 is bug 520481.

Comment 7 Andy Gospodarek 2009-12-17 18:50:27 UTC
Ethtool can't be updated for RHEL5 since the kernel cannot change ethtool_ops without breaking kABI.

The decision was made to update the firmware by writing the filename to a sysfs file since ethtool will not work.


Note You need to log in before you can comment on or make changes to this bug.